explain_strtod_or_die(3)

NAME
explain_strtod_or_die - convert string to number and report errors

SYNOPSIS
#include <libexplain/strtod.h>

double explain_strtod_or_die(const char *nptr, char **endptr);
double explain_strtod_on_error(const char *nptr, char **endptr))

DESCRIPTION
The explain_strtod_or_die function is used to call the strtod(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_strtod(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_strtod_on_error function is used to call the strtod(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_strtod(3) function, but still returns to the caller.

nptr
    The nptr, exactly as to be passed to the strtod(3) system call.

endptr
    The endptr, exactly as to be passed to the strtod(3) system call.

RETURN VALUE
The explain_strtod_or_die function only returns on success, see strtod(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_strtod_on_error function always returns the value return by the wrapped strtod(3) system call.

EXAMPLE
The explain_strtod_or_die function is intended to be used in a fashion similar to the following example:
    double result = explain_strtod_or_die(nptr, endptr);

SEE ALSO

strtod(3)
    convert ASCII string to floating-point number

explain_strtod(3)
    explain strtod(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2009 Peter Miller